base: 'https://www.psm-spz.de'
baseVariants:
  -
    base: '%env(BASE_DOMAIN_DEFAULT)%'
    condition: 'applicationContext == "Development/Local"'
  -
    base: 'https://psm-spz.dev17.newego-dev.de'
    condition: 'applicationContext == "Development/Dev"'
  -
    base: 'https://psm-spz.staging17.newego-dev.de'
    condition: 'applicationContext == "Production/Staging"'
errorHandling:
  -
    errorCode: 404
    errorHandler: Page
    errorContentSource: 't3://page?uid=9'
languages:
  -
    title: Deutsch
    enabled: true
    languageId: 0
    base: /
    typo3Language: de
    locale: de_DE.UTF-8
    iso-639-1: de
    navigationTitle: Deutsch
    hreflang: de-DE
    direction: ltr
    flag: de
  -
    title: Englisch
    enabled: true
    languageId: 1
    base: /en/
    typo3Language: default
    locale: en_US.UTF-8
    iso-639-1: en
    navigationTitle: English
    hreflang: en-US
    direction: ltr
    fallbackType: strict
    fallbacks: ''
    flag: en-us-gb
    websiteTitle: ''
    tx_nedistribution_hideinsitemap: 1
  -
    title: Französisch
    enabled: true
    base: /fr/
    typo3Language: default
    locale: fr_FR
    iso-639-1: fr
    navigationTitle: Français
    hreflang: fr-FR
    direction: ''
    fallbackType: strict
    fallbacks: ''
    flag: fr
    languageId: 2
    websiteTitle: ''
rootPageId: 1
routeEnhancers:
  PageTypeSuffix:
    type: PageType
    default: /
    index: ''
    map:
      /: 0
      .html: 0
      sitemap.xml: 1533906435
      .ajax: 2300
  NePsmAnnouncement:
    type: NeExtbase
    extension: NePsm
    plugin: Announcement
    routes:
      -
        routePath: '/list/{page}'
        _controller: 'Announcement::list'
        _arguments:
          page: '@widget_0/currentPage'
      -
        routePath: '/{record}'
        _controller: 'Announcement::show'
        _arguments:
          record_title: record
          detail_field: record
          detail_tableName: tx_nepsm_domain_model_announcement
    defaultController: 'Announcement::show'
    aspects:
      record_title:
        type: PersistedAliasMapper
        tableName: tx_nepsm_domain_model_announcement
        routeFieldName: slug
    defaults:
      page: '0'
    requirements:
      page: \d+
  NePsmDownload:
    type: NeExtbase
    extension: NePsm
    plugin: Download
    routes:
      -
        routePath: '/list/{page}'
        _controller: 'Download::list'
        _arguments:
          page: '@widget_0/currentPage'
      -
        routePath: '/{record}'
        _controller: 'Download::show'
        _arguments:
          record_title: record
          detail_field: record
          detail_tableName: tx_nepsm_domain_model_download
    defaultController: 'Download::show'
    aspects:
      record_title:
        type: PersistedAliasMapper
        tableName: tx_nepsm_domain_model_download
        routeFieldName: slug
    defaults:
      page: '0'
    requirements:
      page: \d+
  NePsmGlossary:
    type: NeExtbase
    extension: NePsm
    plugin: Glossary
    routes:
      -
        routePath: '/list/{page}'
        _controller: 'Glossary::list'
        _arguments:
          page: '@widget_0/currentPage'
      -
        routePath: '/{record}'
        _controller: 'Glossary::show'
        _arguments:
          record_title: record
          detail_field: record
          detail_tableName: tx_nepsm_domain_model_glossary
    defaultController: 'Glossary::show'
    aspects:
      record_title:
        type: PersistedAliasMapper
        tableName: tx_nepsm_domain_model_glossary
        routeFieldName: slug
    defaults:
      page: '0'
    requirements:
      page: \d+
  NePsmJob:
    type: NeExtbase
    extension: NePsm
    plugin: Job
    limitToPages:
      - 42
    routes:
      -
        routePath: '/list/{page}'
        _controller: 'Job::list'
        _arguments:
          page: '@widget_0/currentPage'
      -
        routePath: '/{record}'
        _controller: 'Job::show'
        _arguments:
          record_title: record
          detail_field: record
          detail_tableName: tx_nepsm_domain_model_job
    defaultController: 'Job::list'
    aspects:
      record_title:
        type: PersistedAliasMapper
        tableName: tx_nepsm_domain_model_job
        routeFieldName: slug
    defaults:
      page: '0'
    requirements:
      page: \d+
  NePsmMedia:
    type: NeExtbase
    extension: NePsm
    plugin: Media
    routes:
      -
        routePath: '/list/{page}'
        _controller: 'Media::list'
        _arguments:
          page: '@widget_0/currentPage'
      -
        routePath: '/{record}'
        _controller: 'Media::show'
        _arguments:
          record_title: record
          detail_field: record
          detail_tableName: tx_nepsm_domain_model_media
    defaultController: 'Media::show'
    aspects:
      record_title:
        type: PersistedAliasMapper
        tableName: tx_nepsm_domain_model_media
        routeFieldName: slug
    defaults:
      page: '0'
    requirements:
      page: \d+
  NePsmPressReport:
    type: NeExtbase
    extension: NePsm
    plugin: PressReport
    routes:
      -
        routePath: '/list/{page}'
        _controller: 'PressReport::list'
        _arguments:
          page: '@widget_0/currentPage'
      -
        routePath: '/{record}'
        _controller: 'PressReport::show'
        _arguments:
          record_title: record
          detail_field: record
          detail_tableName: tx_nepsm_domain_model_pressreport
    defaultController: 'PressReport::show'
    aspects:
      record_title:
        type: PersistedAliasMapper
        tableName: tx_nepsm_domain_model_pressreport
        routeFieldName: slug
    defaults:
      page: '0'
    requirements:
      page: \d+
  NePsmReference:
    type: NeExtbase
    extension: NePsm
    plugin: Reference
    routes:
      -
        routePath: '/list/{page}'
        _controller: 'Reference::list'
        _arguments:
          page: '@widget_0/currentPage'
      -
        routePath: '/{record}'
        _controller: 'Reference::show'
        _arguments:
          record_title: record
          detail_field: record
          detail_tableName: tx_nepsm_domain_model_reference
    defaultController: 'Reference::show'
    aspects:
      record_title:
        type: PersistedAliasMapper
        tableName: tx_nepsm_domain_model_reference
        routeFieldName: slug
    defaults:
      page: '0'
    requirements:
      page: \d+
  NePsmTeamMember:
    type: NeExtbase
    extension: NePsm
    plugin: TeamMember
    routes:
      -
        routePath: '/list/{page}'
        _controller: 'TeamMember::list'
        _arguments:
          page: '@widget_0/currentPage'
      -
        routePath: '/{record}'
        _controller: 'TeamMember::show'
        _arguments:
          record_title: record
          detail_field: record
          detail_tableName: tx_nepsm_domain_model_teammember
    defaultController: 'TeamMember::show'
    aspects:
      record_title:
        type: PersistedAliasMapper
        tableName: tx_nepsm_domain_model_teammember
        routeFieldName: slug
    defaults:
      page: '0'
    requirements:
      page: \d+
routes:
  -
    route: robots.txt
    type: staticText
    content: "User-agent: *\r\nDisallow: /typo3/\r\nDisallow: /typo3_src/\r\nAllow: /typo3/sysext/frontend/Resources/Public/*\r\n\r\n# Only allow URLs generated with RealURL\r\nDisallow: /*?id=*\r\nDisallow: /*&id=*\r\n\r\n# L=0 is the default language\r\nDisallow: /*?L=0*\r\nDisallow: /*&L=0*\r\n\r\n# typeNum = 98 is usually the print version.\r\nDisallow: /*?type=98*\r\nDisallow: /*&type=98*\r\n\r\n# Should always be protected (.htaccess)\r\nDisallow: /*/Private/*\r\nDisallow: /fileadmin/templates/html/*\r\nDisallow: /*/Configuration/*\r\n\r\nDisallow: /typo3temp/*\r\nAllow: /typo3temp/*.css\r\nAllow: /typo3temp/*.css.*.gzip\r\nAllow: /typo3temp/*.js\r\nAllow: /typo3temp/*.js.*.gzip\r\nAllow: /typo3temp/*.jpg\r\nAllow: /typo3temp/*.gif\r\nAllow: /typo3temp/*.png\r\n\r\nDisallow: *.sql\r\nDisallow: *.sql.gz"
websiteTitle: ''
friendlyCaptcha:
  apiKey: A1LB1B44AR5VNJ3533RI20QSJ7LTNSQM748IFRJLCO1I2NPUARS6PA5BB5
  siteKey: FCMHAM8OV1KR0EM0